Package: org.gradle.process

## [Java] Interface BaseExecSpec

- org.gradle.process.BaseExecSpec

- All Superinterfaces:
    ProcessForkOptions

  Specifies options for launching a child process.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `List<String>` | `getCommandLine()` Returns the full command line, including the executable plus its arguments.
    `OutputStream` | `getErrorOutput()` Returns the output stream to consume standard error from the process executing the command.
    `InputStream` | `getStandardInput()` Returns the standard input stream for the process executing the command.
    `OutputStream` | `getStandardOutput()` Returns the output stream to consume standard output from the process executing the command.
    `boolean` | `isIgnoreExitValue()` Tells whether a non-zero exit value is ignored, or an exception thrown.
    `BaseExecSpec` | `setErrorOutput(OutputStream outputStream)` Sets the output stream to consume standard error from the process executing the command.
    `BaseExecSpec` | `setIgnoreExitValue(boolean ignoreExitValue)` Sets whether a non-zero exit value is ignored, or an exception thrown.
    `BaseExecSpec` | `setStandardInput(InputStream inputStream)` Sets the standard input stream for the process executing the command.
    `BaseExecSpec` | `setStandardOutput(OutputStream outputStream)` Sets the output stream to consume standard output from the process executing the command.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ProcessForkOptions` | `copyTo, environment, environment, executable, getEnvironment, getExecutable, getWorkingDir, setEnvironment, setExecutable, setWorkingDir, workingDir`

- - ### Method Detail

    - #### public List<String> getCommandLine()

      Returns the full command line, including the executable plus its arguments.

      Returns:
        The full command line, including the executable plus its arguments

    - #### public OutputStream getErrorOutput()

      Returns the output stream to consume standard error from the process executing the command. Default to `System.err`.

      Returns:
        The error output stream.

    - #### public InputStream getStandardInput()

      Returns the standard input stream for the process executing the command. The stream is closed after the process completes. Defaults to an empty stream.

      Returns:
        The standard input stream.

    - #### public OutputStream getStandardOutput()

      Returns the output stream to consume standard output from the process executing the command. Defaults to `System.out`.

      Returns:
        The output stream

    - #### public boolean isIgnoreExitValue()

      Tells whether a non-zero exit value is ignored, or an exception thrown. Defaults to `false`.

      Returns:
        whether a non-zero exit value is ignored, or an exception thrown

    - #### public BaseExecSpec setErrorOutput(OutputStream outputStream)

      Sets the output stream to consume standard error from the process executing the command. The stream is closed after the process completes.

      Parameters:
        `outputStream` - The standard output error stream for the process. Must not be null.
      Returns:
        this

    - #### public BaseExecSpec setIgnoreExitValue(boolean ignoreExitValue)

      Sets whether a non-zero exit value is ignored, or an exception thrown.

      Parameters:
        `ignoreExitValue` - whether a non-zero exit value is ignored, or an exception thrown
      Returns:
        this

    - #### public BaseExecSpec setStandardInput(InputStream inputStream)

      Sets the standard input stream for the process executing the command. The stream is closed after the process completes.

      Parameters:
        `inputStream` - The standard input stream for the process. Must not be null.
      Returns:
        this

    - #### public BaseExecSpec setStandardOutput(OutputStream outputStream)

      Sets the output stream to consume standard output from the process executing the command. The stream is closed after the process completes.

      Parameters:
        `outputStream` - The standard output stream for the process. Must not be null.
      Returns:
        this